;
;		Procomm Script for MegaMail Reader
;
;			    Written by
;			   Doug Nicklow
;	      Sysop of Santa Software Associates BBS
;                        August 20, 1990
;
;        This script has been placed in the PUBLIC DOMAIN.
;         It may be freely modified, used or distributed.
;
;
; First define a few necessary variables.
; Such as the megamail door on the BBS.
;
ASSI S0 "DOOR 19"
;
;
; Next, your login ID and Password
;
ASSI S1 "Your login goes here"  ; Put your login ID here
ASSI S2 "Your password"	        ; Put your password here
;
;
; Next you need to identify the Procomm Dialing Directory entry number
; for the system you are calling. This allows you to make a call from
; either a batch file or 'manually' within Procomm.
;
ASSI S3 "1"
;
;
; Finally identify the batch files that will conduct the actual
; mail transfers.
;
ASSI S4 "ssa_out.bat"
ASSI S5 "mailin.bat"
;
;
; The following is necessary to skip past any unexpected prompts
; encountered during the login process.
;
WHEN "More?" "n^m"
;
IF NOT LINKED
DIAL S3
ENDIF
;
;
; The following two lines may be necessary if you are connecting to
; a multilingual PC Board BBS. Mine isn't, so they're commented out.
;
;WAITFOR "Language"
;TRAN"^m"
;
; Now lets wait for the Graphics prompt. This line may or may not be
; necessary depending upon the speed with which the BBS you call responds.
;
; WAITFOR "graphics"
; And because we all don't have color monitors we'll say no and bypass
; the welcome screen.
;
TRAN"N Q^m"
;
; Time to login
;
WAITFOR "first name"
TRAN S1
TRAN"^m"
WAITFOR "Password"
TRAN S2
TRAN"^m"
;
;
; Now let's bypass any message of the day or news files.
;
WAITFOR "(Enter)=yes"
TRAN"N^m"
;
; And once we get to the command prompt we start the transfer process
;
WAITFOR "Command?"
TRAN S0
TRAN"^m"
;
; The following pause seems to help on faster machines for some reason
;
PAUSE 3
;
; Wait for an indication to begin an upload.
;
WAITFOR "*" 60
DOS S4
;
; Again, the pause seems to help on the faster machines.
;
PAUSE 3
;
; Wait for an indication to begin a download
;
WAITFOR "*" 9999
DOS S5
;
; The following pause gives you time to escape from this script for other
; BBSing activities.
;
PAUSE 5
;
; Once we get back to the command prompt we exit the BBS gracefully.
;
WAITFOR "Command?"
TRAN"g^m"
;
; And courtesly wait for the BBS to cycle us out before dropping carrier.
;
PAUSE 5
;
;HANGUP
QUIT
